Sign inGet started

Get a brand

GET
/organizations/{organizationId}/tcr-brands
List all brands available at organization-level. The list can be filtered by brand status. This result is paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
The ID of the number.
results.tcrBrandId
string
The Campaign Registry brand ID.
results.organizationId
string
results.createdAt
string
Timestamp (UTC) when the brand was created.
results.updatedAt
string
Timestamp (UTC) when the brand was last updated.
results.status
string
Brand status
Possible values: FAILED, PENDING, REJECTED, APPROVED, DELETED, DRAFT
results.authPlusStatus
string
Brand Auth+ status
Possible values: NOT_APPLICABLE, NEEDS_CHARGE, NEEDS_TRIGGER, DONE
results.entityType
string
obbligatorio
Legal entity type. It can't be updated when the brand is approved.
Possible values: PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, ``
results.firstName
string
First or given name. Applicable to entity type.
results.lastName
string
Last or Surname. Applicable to entity type.
results.displayName
string
obbligatorio
Display or marketing name your brand.
results.companyName
string
obbligatorio
Legal company name. This should match the legal company name used to register your EIN/Tax ID.
results.ein
string
obbligatorio
Government assigned corporate tax ID. EIN is 9-digits in the U.S.
results.einIssuingCountry
string
obbligatorio
The 2 letter ISO country of registration submitted with your EIN / Tax ID registration.
results.phone
string
obbligatorio
Valid phone number in e.164 international format.
results.street
string
obbligatorio
Street number and name.
results.city
string
obbligatorio
City name
results.state
string
obbligatorio
State. Must be a 2 letter state code for US states.
results.postalCode
string
obbligatorio
Postal code. Must be a 5 digit zip code for the United States.
results.country
string
obbligatorio
ISO 2 character country code.
results.email
string
obbligatorio
Valid email address of brand support contact.
results.stockSymbol
string
Stock symbol.
results.stockExchange
string
Stock exchange. Required for entityType PUBLIC.
Possible values: NONE, NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER, ``
results.website
string
obbligatorio
Brand website URL.
results.vertical
string
Vertical or industry segment of the brand.
results.altBusinessId
string
Alternate business identifier.
results.altBusinessIdType
string
Alternate business identifier type. Required if altBusinessId is provided.
Possible values: NONE, DUNS, GIIN, LEI, ``
results.businessContactEmail
string
Business contact email.
results.businessContactEmailVerifiedDate
string
Timestamp (UTC) when the brand businessContactEmail was verified.
results.rejection
object
Rejection details
Mostra attributi secondari
results.rejection.description
string
obbligatorio
Rejection description
results.rejection.code
string
Rejection code
results.workspaceIds
array of string
obbligatorio
results.organizationWide
boolean
obbligatorio
If true, this brand is available to all workspaces in the organization, including newly created workspaces.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/tcr-brands' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
TypeDescription
BrandReponseBrandResponse object describes a submitted brand